Page MenuHomePhabricator

Tune Wikistats 2 Varnish caching
Closed, ResolvedPublic5 Story Points

Description

Caching is not specified on Wikistats (stats.wikimedia.org) which affects Wikistats 2 (stats.wikimedia.org/v2). It gets the default 24 hour varnish cache, including the html. We had a problem where after a deploy one of the varnish servers kept an old version of the site in cache and therefore caused browsers to randomly get a broken experience.

Wikistats puppet apache template

Analytics puppet apache template showing a good cache setup

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 8 2019, 2:59 PM
Milimetric triaged this task as High priority.
Milimetric moved this task from Incoming to Operational Excellence on the Analytics board.
Milimetric added a project: Analytics-Kanban.

Change 529795 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet@production] Add no-cache response header for Wikistats V2's index.html

https://gerrit.wikimedia.org/r/529795

elukey claimed this task.Aug 12 2019, 4:09 PM

Change 529795 merged by Elukey:
[operations/puppet@production] Add Cache-Control response header for Wikistats V2's index.html

https://gerrit.wikimedia.org/r/529795

:~  curl -I https://stats.wikimedia.org/v2 -s | grep cache-control
:~  curl -I https://stats.wikimedia.org/v2/ -s | grep cache-control
cache-control: max-age=10
:~  curl -I https://stats.wikimedia.org/v2/#/it.wikipedia.org -s| grep cache-control
cache-control: max-age=10
:~ curl -I https://stats.wikimedia.org/v2/main.bundle.6bb1aa806f695a0bf1c1.css -s | grep cache-control

Seems to work!

elukey moved this task from In Progress to Done on the Analytics-Kanban board.Aug 14 2019, 12:48 PM
elukey set the point value for this task to 5.
Nuria closed this task as Resolved.Aug 20 2019, 2:22 PM